ReflectionDiffBuilder.Builder (Apache Commons Lang 3.17.0 API)
Description: declaration: package: org.apache.commons.lang3.builder, class: ReflectionDiffBuilder, class: Builder

Package org.apache.commons.lang3.builder

# Class ReflectionDiffBuilder.Builder<T>

java.lang.Object
org.apache.commons.lang3.builder.ReflectionDiffBuilder.Builder<T>

Type Parameters:
  `T` - type of the left and right object.

Enclosing class:
  ReflectionDiffBuilder<T>

public static final class ReflectionDiffBuilder.Builder<T> extends Object
Constructs a new instance.

Since:
  3.15.0

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Builder()`
  Constructs a new instance.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ReflectionDiffBuilder<T>`
  `build()`
  Builds a new configured `ReflectionDiffBuilder`.
  `ReflectionDiffBuilder.Builder<T>`
  `setDiffBuilder(DiffBuilder<T> diffBuilder)`
  Sets the DiffBuilder.
  `ReflectionDiffBuilder.Builder<T>`
  `setExcludeFieldNames(String... excludeFieldNames)`
  Sets field names to exclude from output.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Builder

    public Builder()
    Constructs a new instance.

- ## Method Details

  - ### build

    public ReflectionDiffBuilder<T> build()
    Builds a new configured `ReflectionDiffBuilder`.
    Returns:
      a new configured `ReflectionDiffBuilder`.

  - ### setDiffBuilder

    public ReflectionDiffBuilder.Builder<T> setDiffBuilder(DiffBuilder<T> diffBuilder)
    Sets the DiffBuilder.
    Parameters:
      `diffBuilder` - the DiffBuilder.
    Returns:
      `this` instance.

  - ### setExcludeFieldNames

    public ReflectionDiffBuilder.Builder<T> setExcludeFieldNames(String... excludeFieldNames)
    Sets field names to exclude from output. Intended for fields like `"password"` or `"lastModificationDate"`.
    Parameters:
      `excludeFieldNames` - field names to exclude.
    Returns:
      `this` instance.